# Learning to Read and Write Kanji
*by Javantea*  
Feb 16, 2016

[learn_kanji-0.2.tar.xz](/uploads/learn_kanji-0.1.tar.xz) [\[sig\]](/uploads/learn_kanji-0.2.tar.xz.asc)

For many years I have been learning Japanese as a hobby. I have spent years watching subtitled anime to get my comprehension higher. Anime's often slow and deliberate speech patterns make it fairly easy to grab words. But the pace at which anime goes if you aren't careful you can forget everything you hear. Of course, you'll be more prepared for conversing and remembering if you've heard something 1000 times rather than once, but that doesn't translate into instant comprehension.

Today marks a significant day in my studies, having memorized reading and writing 163 low level kanji. Instead of learning them in order of use in common speech, I decided to learn based on MIT's Japanese class from last decade. I definitely don't think that this order of learning kanji is better than order of use in common speech, but I decided that I will be learning them soon enough that it didn't matter entirely what order. I won't be needing these 163 kanji before I learn the next 300. I won't need the next 300 before I learn the next 300. By the time I have 763 kanji memorized, I will have enough kanji to write full essays and I will likely be able to speak at an intermediate level as well. My rapid writing learning started on Sunday, Feb 7, 2016 and has now completed step 1 with 163 kanji (7 incorrect on the test, 96% success). Thus it has taken me only 8 days to learn 163 easy kanji to an A grade. Not only can I read them, but I can also write them and speak the correct interpretation of those kanji in a sentence. At this rate, and there only being 3000 kanji in common use, I could possibly learn as many as a Japanese high school student in 6 months. If my learning rate accelerates or I spend more time learning, it could take less time. As I have in the past, I am going to release my most useful tools. One drawback to releasing my tools is the license. While most of EDRDG's dictionaries are Creative Commons, I used KANJIDIC to help the process along. A tool could be made which didn't use KANJIDIC, but I feel it would be a waste of time to create it. Therefore, my study tools will contain <a href="#license">a license</a> which anyone who wishes to copy it must also abide by.

What was my motivation for this rapid learning of kanji? I wanted to read <a href="https://ja.wikipedia.org/wiki/%E9%8A%83%E5%A4%A2_LastOrder">the second part of my favorite manga</a> in its original language for the first time. I bought the manga years ago when it came out and was only able to understand bits and pieces from the original Japanese text (the manga has no furigana to guide a beginner). I used English translations to understand what was going on, but I feel like the English translation does not capture the exact meaning of the original. Therefore in 3-5 months from now I plan to read the manga with my new reading skill. Why learn to write as well? I feel like it's worthwhile enough a skill that it should be learned in addition to reading. One benefit to being able to write a large number of kanji is to be able to communicate with people who speak Japanese. Without kanji, communication becomes very ugly. Japanese spoken language has more homonyms than English by a factor of 10 or more, so saying "yume" only means one thing (dream), saying "kan" means twenty or more things, the most popular being space but by no means the only kanji interpretation with that homonym. This is why a computer's IME has a dropdown box and isn't very easy to use for beginners.

But this motivation is pretty weak. What happens when I finish reading that manga? I don't read a lot of manga and anime is translated. I could watch anime without subtitles. I could play Japanese games that aren't translated. Remember that 125 million Japanese speakers consume a comparatively small amount of western media and therefore consume Japanese media at a rate which is high enough to produce completely different phenomena than the rest of the world. Japanese media is translated into a variety of languages and is available in many countries from traditional bookstores. Fans translate Japanese media and distribute it for free online (if you didn't know this, you're surprisingly out of touch with reality). In recent years, a trend has appeared of mainstream Japanese media being translated and made available on the Internet by publishers before fans can translate it. But enough small publishers in Japan are not translating their works, which means that there will always be a reason for westerners to learn Japanese if they desire. This of course doesn't even account for the reason of being able to converse with Japanese people in Japan.

## Tools

<div>
The kanji without any explanation:
<pre>
一
二
三
四
五
六
七
八
九
十
百
千
万
円
何
分
行
来
高
安
大
小
田
中
日
本
山
語
川
人
白
黒
赤
青
雨
見
同
少
車
国
和
英
先
生
学
出
入
口
前
間
右
左
店
電
話
方
名
書
手
紙
下
新
古
聞
校
食
買
作
今
屋
月
火
水
木
金
土
曜
時
休
毎
年
半
午
後
朝
晩
週
東
京
忙
早
私
村
友
次
上
寺
明
子
女
男
待
知
困
林
仕
事
使
去
飲
外
当
父
母
兄
弟
姉
妹
主
内
家
両
親
会
社
思
漢
字
言
読
駅
勉
強
申
用
銀
地
図
番
号
止
草
町
立
天
虫
竹
正
夕
文
音
王
耳
花
貝
空
玉
犬
目
足
森
糸
力
</pre>
</div>

The above list is not very useful, but because it doesn't have any license, you can copy it freely without any worry about copyright. It's also useful if you want to throw it into a script, like so:
```python
import sys

def saneInput(x):
	# Python 2's input is code execution.
	# Python 3 doesn't have raw_input
	if sys.hexversion >= 0x3000000:
		return input(x)
	else:
		return raw_input(x)
	#end if
#end def saneInput()

kanji = "一二三四五六七八九十百千万円何分行来高安大小田中日本山語川人白黒赤青雨見同少車国和英先生学出入口前間右左店電話方名書手紙下新古聞校食買作今屋月火水木金土曜時休毎年半午後朝晩週東京忙早私村友次上寺明子女男待知困林仕事使去飲外当父母兄弟姉妹主内家両親会社思漢字言読駅勉強申用銀地図番号止草町立天虫竹正夕文音王耳花貝空玉犬目足森糸力"
for c in kanji:
	x = saneInput("What is this kanji {0}:".format(c))
#next c
```

<div>
The English word that summarizes each kanji*:
<pre>
one
two
three
four
five
six
seven
eight
nine
ten
hundred
thousand
ten thousand
circle
what
part
going
come
tall
relax
large
small
rice field
middle
day
book
mountain
word
river
person
white
black
red
blue
rain
see
same
few
car
country
peace
English
before
life
study
exit
enter
mouth
in front
space
right
left
store
electricity
talk
direction
name
write
hand
paper
below
new
old
hear
school
eat
buy
make
now
shop
month
fire
water
tree
gold
soil
weekday
time
rest
every
year
half
noon
behind
morning
night
week
east
capital
busy
early
I
village
friend
next
above
Buddhist temple
bright
child
woman
male
wait
know
quandary
grove
serve
thing
use
leave
drink
outside
hit
father
mother
elder brother
younger brother
elder sister
younger sister
lord
inside
house
both
parent
meeting
company
think
China
character
say
read
station
exertion
strong
have the honor to
utilize
silver
earth
map
number in a series
number
stop
grass
town
stand up
heavens
insect
bamboo
correct
evening
sentence
sound
king
ear
flower
shellfish
sky
jewel
dog
eye
leg
forest
thread
power
</pre>
</div>

<p>
Note that the above list is used under <a href="#license">the KANJIDIC license</a>. To combine the first two lists with GNU coreutils, simply use <code>paste kanji1.txt english1.txt</code><br />
\* As you probably are already aware, kanji can have many different uses, so don't use this to translate unless you want a rigid translation. Instead, use an online dictionary to understand how kanji interact and read manga to understand how these kanji are used to convey meaning.<br />
Since my English text is copyright KANJIDIC anyway, I might as well give you the full lines from KANJIDIC as well.
</p>

<div>
The Kanjidic line for each kanji*:
<pre>
一 306C U4e00 B1 G1 S1 XJ05021 F2 J4 N1 V1 H3341 DP4148 DK2105 DL2850 L1 DN1 K4 O3 DO1 MN1 MP1.0001 E1 IN2 DS1 DF1 DH1 DT1 DC1 DJ1 DB1.A DG1 DM1 P4-1-4 I0a1.1 Q1000.0 DR3072 Yyi1 Wil イチ イツ ひと- ひと.つ T1 かず い いっ いる かつ かづ てん はじめ ひ ひとつ まこと {one} {one radical (no.1)} 
二 4673 U4e8c B7 G1 S2 XJ05031 F9 J4 N273 V72 H1922 DP2421 DK1224 DL1688 L2 DN2 K6 O4 DO2 MN247 MP1.0416 E61 IN3 DS2 DF9 DH2 DT2 DC11 DJ2 DB1.A DG31 DM2 P2-1-1 I0a2.1 Q1010.0 DR3072 Yer4 Wi ニ ジ ふた ふた.つ ふたたび T1 おと つぐ つぎ にい は ふ ふたつ ふだ わ {two} {two radical (no.2)} 
三 3B30 U4e09 B1 G1 S3 XJ13C60 F14 J4 N8 V8 H1924 DP2423 DK1225 DL1689 L3 DN3 K10 O22 DO3 MN12 MP1.0107 E23 IN4 DS3 DF4 DH3 DT10 DC21 DJ3 DB1.A DG5 DM3 P2-1-2 I0a3.1 Q1010.1 DR3072 Ysan1 Wsam サン ゾウ み み.つ みっ.つ T1 か さ さい さえ さぶ ざ ざえ ざぶ そう ぞ ただ みつ みん も や {three} 
四 3B4D U56db B31 G1 S5 XJ1303E XDR1257 XDR2057 F47 J4 N1025 V938 H3044 DP3778 DK1928 DL2620 L4 DN4 K18 O188 DO6 MN4682 MP3.0002 E26 IN6 DS4 DF35 DH4 DT37 DC114 DJ4 DB1.A DG335 DM4 P3-3-2 I3s2.2 Q6021.0 DR3675 ZPP4-5-1 Ysi4 Wsa シ よ よ.つ よっ.つ よん T1 あ つ よつ {four} 
五 385E U4e94 B1 C7 G1 S4 F31 J4 N15 V77 H3436 DP4244 DK2142 DL2892 L5 DN5 K14 O91 DO7 MN257 MP1.0460 E19 IN7 DS5 DF10 DH5 DT23 DC40 DJ5 DB1.A DG32 DM5 P4-4-1 I0a4.27 Q1010.7 DR3173 Ywu3 Wo ゴ いつ いつ.つ T1 い さ さつ ち ふ み め {five} 
六 4F3B U516d B8 C12 G1 S4 F93 J4 N283 V371 H1965 DP2461 DK1244 DL1710 L6 DN6 K20 O61 DO8 MN1453 MP2.0045 E76 IN8 DS6 DF19 DH6 DT24 DC124 DJ6 DB1.A DG153 DM6 P2-2-2 I2j2.2 Q0080.0 DR461 Yliu4 Ylu4 Wryug ロク リク む む.つ むっ.つ むい T1 く むつ ろっ ろつ {six} 
七 3C37 U4e03 B5 C1 G1 S2 XDR1474 F115 J4 N261 V3 H3362 DP4169 DK2109 DL2854 L7 DN7 K44 O17 DO9 MN6 MP1.0081 E30 IN9 DS7 DF2 DH7 DT3 DC147 DJ7 DB1.A DG2 DM7 P4-2-2 I0a2.13 Q4071.0 DR1456 ZPP4-2-4 Yqi1 Wchil シチ なな なな.つ なの T1 し しっ な ひち {seven} 
八 482C U516b B12 G1 S2 F92 J4 N577 V369 H3 DP3644 DK1859 DL2536 L8 DN8 K41 O19 DO10 MN1450 MP2.0001 E66 IN10 DS8 DF18 DH8 DT4 DC116 DJ8 DB1.A DG151 DM8 P1-1-1 I2o0.1 Q8000.0 DR2062 Yba1 Yba2 Wpal ハチ や や.つ やっ.つ よう T1 な は はっ はつ やち やつ T2 はちがしら {eight} {eight radical (no. 12)} 
九 3665 U4e5d B4 C5 G1 S2 F55 J4 N146 V57 H3369 DP4176 DK2112 DL2858 L9 DN9 K58 O16 DO11 MN167 MP1.0356 E12 IN11 DS9 DF8 DH9 DT5 DC112 DJ9 DB1.A DG26 DM9 P4-2-4 I0a2.15 Q4001.7 DR1657 Yjiu3 Wgu Wgyu キュウ ク ここの ここの.つ T1 いちじく いちのく この ひさし {nine} 
十 3D3D U5341 B24 G1 S2 F8 J4 N768 V598 H3365 DP4172 DK2110 DL2855 L10 DN10 K5 O18 DO12 MN2695 MP2.0479 E33 IN12 DS10 DF25 DH10 DT6 DC22 DJ10 DB1.A DG239 DM10 P4-2-3 I2k0.1 Q4000.0 DR1455 Yshi2 Wsib ジュウ ジッ ジュッ とお と T1 い か ぎ さ し そ そう ち とう ね ま る わ {ten} 
百 4934 U767e B1 C106 G1 S6 F163 J4 N33 V3864 H2026 DP2519 DK1279 DL1746 L38 DN38 K73 O265 DO82 MN22679 MP8.0046 E67 IN14 DS130 DF74 DH11 DT50 DC218 DJ11 DB1.A DG1363 DM38 P2-2-4 I4c2.3 Q1060.0 DR3178 ZPP4-6-1 Ybai3 Ybo2 Wbaeg Wmaeg ヒャク ビャク もも T1 お ど どう なり ひゃっ ひゅく も もんど ゆ {hundred} 
千 4069 U5343 B4 C24 G1 S3 F195 J4 N156 V599 H3411 DP4219 DK2132 DL2881 L40 DN40 K79 O44 DO83 MN2697 MP2.0517 E47 IN15 DS101 DF26 DH12 DT11 DC335 DJ12 DB1.A DG240 DM40 P4-3-3 I2k1.2 Q2040.0 DR2255 Yqian1 Wcheon セン ち T1 かず ゆき {thousand} 
万 4B7C U4e07 B1 G2 S3 XJ0685F F375 J4 N7 V7 H2936 DP3653 DK1865 DL2542 L64 DN68 K96 O43 DO84 MN10 MP1.0104 E392 IN16 DS320 DF3 DH227 DT86 DC215 DJ13 DB1.A DG8 DM64 P3-2-1 I0a3.8 Q1022.7 DR3145 ZPP4-3-1 Ywan4 Ymo4 Wman Wmug マン バン よろず T1 かず ま ゆる {ten thousand} {10,000} 
円 315F U5186 B13 G1 S4 XJ05424 F69 J4 N617 V385 H2955 DP3673 DK1875 DL2555 L1811 DN1952 K2 O78 DO159 MN1513 MP2.0110 E4 IN13 DS48 DF20 DH50 DT25 DC260 DJ14 DB2.12 DG159 DM185 P3-2-2 I2r2.1 Q7722.0 DR3645 Yyuan2 Wweon エン まる.い まる まど まど.か まろ.やか T1 つぶら のぶ まどか みつ {circle} {yen} {round} 
何 323F U4f55 B9 G2 S7 F340 J4 N409 V169 H65 DP73 DK45 DL48 L1012 DN1087 K471 O513 DO254 MN511 MP1.0694 E80 IN390 DS51 DF15 DH86 DT137 DC43 DJ80 DB2.2 DG73 DM1021 P1-2-5 I2a5.21 Q2122.0 DR2149 ZPP3-4-3 Yhe2 Yhe4 Wha カ なに なん なに- なん- T1 あが {what} 
分 4A2C U5206 B12 C18 G2 S4 F24 J4 N578 V454 H1972 DP2466 DK1247 DL1713 L781 DN844 K35 O64 DO35 MN1853 MP2.0195 E199 IN38 DS133 DF22 DH218 DT101 DC28 DJ26 DB2.2 DG180 DM788 P2-2-2 I2o2.1 Q8022.7 DR2045 Yfen1 Yfen4 Wbun ブン フン ブ わ.ける わ.け わ.かれる わ.かる わ.かつ T1 いた わけ {part} {minute of time} {segment} {share} {degree} {one's lot} {duty} {understand} {know} {rate} {1%} {chances} {shaku/100} 
行 3954 U884c B144 G2 S6 F20 J4 N4213 V5419 H212 DP246 DK157 DL187 L873 DN938 K31 O245 DO24 MN34029 MP10.0135 E118 IN68 DS73 DF82 DH131 DT123 DC18 DJ58 DB2.4 DG1613 DM882 P1-3-3 I3i3.1 Q2122.1 DR2053 Yxing2 Yhang2 Yhang4 Yxing4 Whaeng Whang コウ ギョウ アン い.く ゆ.く -ゆ.き -ゆき -い.き -いき おこな.う おこ.なう T1 いく なみ なめ みち ゆき ゆく {going} {journey} {carry out} {conduct} {act} {line} {row} {bank} 
来 4D68 U6765 B4 C75 G2 S7 XJ05054 F102 J4 N202 V2565 H3551 DP4366 DK2211 DL2975 L1884 DN2029 K113 O538 DO25 MN14489 MP6.0168 E217 IN69 DS147 DF62 DH237 DT153 DC27 DJ133 DB2.5 DG36 DM1902 P4-7-3 I0a7.6 Q5090.0 DR1464 Ylai2 Wrae ライ タイ く.る きた.る きた.す き.たす き.たる き こ T1 くり くる ごろ さ {come} {due} {next} {cause} {become} 
高 3962 U9ad8 B189 G2 S10 F65 J4 N5248 V6796 H2097 DP2601 DK1330 DL1803 L307 DN329 K49 O1163 DO160 MN45313 MP12.0588 E119 IN190 DS76 DF102 DH132 DT193 DC135 DJ83 DB2.11 DG1924 DM313 P2-2-8 I2j8.6 Q0022.7 DR449 Ygao1 Wgo コウ たか.い たか -だか たか.まる たか.める T1 か こ じょい た はか {tall} {high} {expensive} 
安 3042 U5b89 B40 G3 S6 F144 J4 N1283 V1311 H2171 DP2695 DK1373 DL1859 L190 DN202 K128 O472 DO98 MN7072 MP3.0909 E223 IN105 DS153 DF45 DH242 DT263 DC165 DJ84 DB2.5 DG464 DM193 P2-3-3 I3m3.1 Q3040.4 DR769 Yan1 Wan アン やす.い やす.まる やす やす.らか T1 あ あす あず あっ や {relax} {cheap} {low} {quiet} {rested} {contented} {peaceful} 
大 4267 U5927 B37 G1 S3 F7 J4 N1171 V1133 H3416 DP4224 DK2133 DL2882 L107 DN112 K7 O48 DO32 MN5831 MP3.0367 E53 IN26 DS22 DF40 DH25 DT14 DC5 DJ87 DB2.2 DG408 DM108 P4-3-4 I0a3.18 Q4003.0 DR1463 Yda4 Ydai4 Wdae Wda Wtae ダイ タイ おお- おお.きい -おお.いに T1 うふ お おう た たかし とも はじめ ひろ ひろし まさ まさる もと わ {large} {big} 
小 3E2E U5c0f B42 G1 S3 F114 J4 N1355 V1389 H7 DP7 DK2 DL2 L105 DN110 K63 O21 DO33 MN7473 MP4.0046 E36 IN27 DS24 DF46 DH27 DT15 DC126 DJ88 DB2.15 DG511 DM106 P1-1-2 I3n0.1 Q9000.0 DR1141 Yxiao3 Wso ショウ ちい.さい こ- お- さ- T1 いさら こう さざ しゃお ちいさ {little} {small} 
田 4544 U7530 B102 G1 S5 F90 J3 N2994 V3727 H3041 DP3775 DK1925 DL2617 L14 DN14 K24 O189 DO52 MN21723 MP7.1052 E59 IN35 DS40 DF220 DH60 DT45 DC61 DJ103 DB2.18 DG1330 DM14 P3-3-2 I5f0.1 Q6040.0 DR3676 ZPP4-5-1 Ytian2 Wjeon デン た T1 いなか おか たん で とう や {rice field} {rice paddy} 
中 4366 U4e2d B2 G1 S4 F11 J4 N81 V28 H3451 DP4262 DK2150 DL2902 L39 DN39 K13 O75 DO31 MN73 MP1.0287 E55 IN28 DS23 DF7 DH26 DT32 DC12 DJ33 DB2.3 DG16 DM39 P4-4-3 I0a4.40 Q5000.6 DR1655 Yzhong1 Yzhong4 Wjung チュウ なか うち あた.る T1 あたる かなえ {in} {inside} {middle} {mean} {center} 
日 467C U65e5 B72 G1 S4 F1 J4 N2097 V2410 H3027 DP3759 DK1915 DL2606 L12 DN12 K1 O77 DO5 MN13733 MP5.0714 E62 IN5 DS11 DF56 DH13 DT33 DC3 DJ16 DB1.A DG963 DM12 P3-3-1 I4c0.1 Q6010.0 DR3878 ZPP4-4-1 Yri4 Wil ニチ ジツ ひ -び -か T1 あ あき いる く くさ こう す たち に にっ につ へ {day} {sun} {Japan} {counter for days} 
本 4B5C U672c B2 C75 G1 S5 XJ05471 F10 J4 N96 V2536 H3502 DP4314 DK2183 DL2937 L211 DN224 K15 O212 DO20 MN14421 MP6.0026 E70 IN25 DS45 DF61 DH76 DT47 DC6 DJ37 DB2.1 DG1046 DM215 P4-5-3 I0a5.25 Q5023.0 DR1855 Yben3 Wbon ホン もと T1 まと ごう {book} {present} {main} {origin} {true} {real} {counter for long cylindrical things} 
山 3B33 U5c71 B46 G1 S3 F131 J4 N1407 V1439 H2940 DP3658 DK1867 DL2544 L768 DN830 K60 O89 DO21 MN7869 MP4.0181 E24 IN34 DS38 DF48 DH58 DT17 DC148 DJ100 DB2.11 DG535 DM775 P3-2-1 I3o0.1 Q2277.0 DR1276 ZPP4-3-2 Yshan1 Wsan サン セン やま T1 さ やの やん {mountain} 
語 386C U8a9e B149 G2 S14 F301 J4 N4374 V5628 H1543 DP1944 DK1040 DL1402 L347 DN371 K274 O2136 DO231 MN35533 MP10.0474 E112 IN67 DS209 DF87 DH124 DT231 DC211 DJ154 DB2.1 DG1685 DM353 P1-7-7 I7a7.6 Q0166.1 DR3077 Yyu3 Yyu4 Weo ゴ かた.る かた.らう {word} {speech} {language} 
川 406E U5ddd B47 G1 S3 F181 J4 N1447 V1526 H6 DP6 DK1 DL1 L127 DN134 K111 O20 DO41 MN8673 MP4.0326 E48 IN33 DS39 DF49 DH59 DT21 DC196 DJ101 DB2.10 DG548 DM129 P1-1-2 I0a3.2 Q2200.0 DR1254 Ychuan1 Wcheon セン かわ T1 か こ さわ T2 さんぼんがわ {stream} {river} {river or 3-stroke river radical (no. 47)} 
人 3F4D U4eba B9 G1 S2 F5 J4 N339 V99 H3368 DP4175 DK2111 DL2857 L951 DN1023 K9 O14 DO4 MN344 MP1.0556 E39 IN1 DS30 DF11 DH39 DT7 DC2 DJ15 DB2.5 DG42 DM960 P4-2-4 I2a0.1 Q8000.0 DR1262 Yren2 Win ジン ニン ひと -り -と T1 じ と ね ひこ ふみ {person} 
白 4772 U767d B106 G1 S5 F483 J4 N3095 V3863 H3493 DP4305 DK2175 DL2929 L37 DN37 K266 O216 DO79 MN22678 MP8.0001 E65 IN205 DS37 DF73 DH53 DT46 DC242 DJ44 DB2.2 DG1362 DM37 P4-5-2 I4c1.3 Q2600.0 DR878 Ybai2 Wbaeg Wbae ハク ビャク しろ しら- しろ.い T1 あき か はっ {white} 
黒 3975 U9ed2 B203 G2 S11 F573 J3 N5403 V7052 H2740 DP3406 DK1754 DL2388 L174 DN186 K317 O1486 DO286 MN48040 MP12.1017 E124 IN206 DS80 DF284 DH137 DT204 DJ45 DB2.14 DG1940 DM176 P2-7-4 I4d7.2 Q6033.1 DR3640 Yhei1 Wheug コク くろ くろ.ずむ くろ.い {black} 
赤 4056 U8d64 B155 G1 S7 F584 J3 N4534 V5840 H2193 DP2719 DK1389 DL1876 L1743 DN1880 K476 O443 DO275 MN36993 MP10.0809 E46 IN207 DS35 DF254 DH51 DT68 DC406 DJ46 DB2.2 DG1751 DM1759 P2-3-4 I3b4.10 Q4033.1 Q4023.1 DR1441 Ychi4 Wjeog セキ シャク あか あか- あか.い あか.らむ あか.らめる T1 あ あこ あま {red} 
青 4044 U9752 B174 G1 S8 F589 J3 N5076 V6557 H2430 DP3084 DK1573 DL2152 L1534 DN1654 K390 O700 DO331 MN42564P MP12.0123 E43 IN208 DS36 DF273 DH52 DT74 DC393 DJ47 DB2.2 DG1871 DM1548 P2-4-4 I4b4.10 Q5022.7 DR1446 Yqing1 Wcheong セイ ショウ あお あお- あお.い T1 お {blue} {green} 
雨 312B U96e8 B173 G1 S8 F950 J4 N5042 V6518 H3561 DP4378 DK2218 DL2983 L422 DN451 K655 O759 DO114 MN42210 MP12.0001 E3 IN30 DS42 DF97 DH69 DT76 DJ232 DB2.15 DG1858 DM429 P4-8-1 I8d0.1 Q1022.7 DR3153 Yyu3 Yyu4 Wu ウ あめ あま- -さめ {rain} 
見 382B U898b B147 G1 S7 F22 J4 N4284 V5522 H2544 DP3151 DK1615 DL2201 L57 DN61 K48 O518 DO23 MN34796 MP10.0316 E18 IN63 DS67 DF84 DH31 DT62 DC20 DJ139 DB2.3 DG1643 DM57 P2-5-2 I5c2.1 Q6021.0 DR3957 Yjian4 Yxian4 Wgyeon Whyeon ケン み.る み.える み.せる {see} {hopes} {chances} {idea} {opinion} {look at} {visible} 
同 4631 U540c B13 C30 G2 S6 F15 J3 N619 V717 H2987 DP3707 DK1897 DL2578 L180 DN192 K23 O298 DO185 MN3294 MP2.0811 E187 IN198 DS295 DF136 DH204 DT133 DC54 DJ350 DB2.13 DG320 DM182 P3-2-4 I2r4.2 Q7722.0 DR3649 Ytong2 Ytong4 Wdong ドウ おな.じ {same} {agree} {equal} 
少 3E2F U5c11 B4 C42 G2 S4 F287 J4 N166 V1390 H3467 DP4278 DK2163 DL2915 L106 DN111 K231 O88 DO129 MN7475 MP4.0089 E143 IN144 DS93 DF47 DH160 DT95 DC153 DJ105 DB2.17 DG512 DM107 P4-4-4 I3n1.1 Q9020.0 DR1160 ZPP1-1-3 Yshao3 Yshao4 Wso ショウ すく.ない すこ.し {few} {little} 
車 3C56 U8eca B159 G1 S7 F333 J4 N4608 V5939 H3552 DP4367 DK2212 DL2976 L286 DN304 K162 O532 DO54 MN38172 MP10.0977 E31 IN133 DS88 DF91 DH63 DT64 DC231 DJ62 DB2.2 DG1769 DM292 P4-7-3 I7c0.1 Q5000.6 DR1555 Yche1 Yju1 Wcha Wgeo シャ くるま T1 くら くろま {car} 
国 3971 U56fd B31 G2 S8 XJ05422 XJ0537b F3 J4 N1037 V950 H3087 DP3831 DK1964 DL2659 L581 DN624 K8 O745 DO111 MN4752 MP3.0068 E123 IN40 DS79 DF36 DH136 DT158 DC4 DJ151 DB2.11 DG344 DM588 P3-3-5 I3s5.1 Q6010.3 DR3172 Yguo2 Wgug コク くに T1 くな こ {country} 
和 4F42 U548c B115 C30 G3 S8 XJ16D61 F124 J2 N3268 V770 H1130 DP1450 DK769 DL1044 L897 DN963 K151 O638 DO277 MN3490 MP2.0969 E416 IN124 DS338 DF412 DH440 DT318 DC85 DJ352 DB3.5 DG326 DM906 P1-5-3 I5d3.1 Q2690.0 DR2277 Yhe2 Yhe4 Yhuo2 Yhuo4 Yhuo5 Yhai1 Yhe5 Whwa ワ オ カ やわ.らぐ やわ.らげる なご.む なご.やか T1 あい いず かず かつ かつり かづ たけ ち とも な にぎ まさ やす よし より わだこ わっ {harmony} {Japanese style} {peace} {soften} {Japan} 
英 3151 U82f1 B140 G4 S8 XJ1315F F430 J3 N3927 V5008 H2238 DP2782 DK1427 DL1925 L1741 DN1878 K449 O693 DO377 MN30808P MP9.0591 E426 IN353 DS353 DF244 DH449 DT495 DC361 DJ155 DB2.19 DG644 DM1757 P2-3-5 I3k5.5 Q4453.0 DR1963 Yying1 Wyeong エイ はなぶさ T1 あ あい え すぐる はな ひ ひで よし ら {England} {English} {hero} {outstanding} {calyx} 
先 4068 U5148 B10 G1 S6 F173 J4 N571 V350 H2394 DP3046 DK1552 DL2123 L248 DN263 K201 O280 DO65 MN1349 MP1.1003 E49 IN50 DS33 DF16 DH43 DT54 DC115 DJ48 DB2.18 DG145 DM254 P2-4-2 I3b3.7 Q2421.1 DR2457 Yxian1 Wseon セン さき ま.ず T1 ぽん {before} {ahead} {previous} {future} {precedence} 
生 4038 U751f B100 G1 S5 F29 J4 N2991 V3715 H3497 DP4309 DK2179 DL2933 L1555 DN1675 K29 O214 DO67 MN21670 MP7.1027 E42 IN44 DS34 DF71 DH44 DT43 DC9 DJ49 DB2.4 DG1327 DM1569 P4-5-2 I0a5.29 Q2510.0 DR2472 Ysheng1 Wsaeng セイ ショウ い.きる い.かす い.ける う.まれる うま.れる う.まれ うまれ う.む お.う は.える は.やす き なま なま- な.る な.す む.す -う T1 あさ いき いく いけ うぶ うまい え おい ぎゅう くるみ ごせ さ じょう すぎ そ そう ちる なば にう にゅう ふ み もう よい りゅう {life} {genuine} {birth} 
学 3358 U5b66 B39 G1 S8 XJ0555C XJ0555D XJ14157 F63 J4 N1271 V1294 H2555 DP3162 DK1625 DL2211 L324 DN346 K33 O719 DO66 MN6974 MP3.0858 E10 IN109 DS57 DF44 DH45 DT71 DC15 DJ50 DB2.9 DG460 DM330 P2-5-3 I3n4.2 Q3240.7 Q9040.7 DR947 ZPP2-3-5 ZSP2-5-2 ZBP2-3-4 Yxue2 Whag ガク まな.ぶ T1 たか のり {study} {learning} {science} 
出 3D50 U51fa B2 C17 G1 S5 F13 J4 N97 V445 H3498 DP4310 DK2180 DL2934 L767 DN829 K17 O523 DO40 MN1811 MP2.0175 E34 IN53 DS90 DF21 DH29 DT41 DC8 DJ185 DB2.4 DG174 DM774 P4-5-2 I0a5.22 Q2277.2 DR1276 Ychu1 Wchul Wchu シュツ スイ で.る -で だ.す -だ.す い.でる い.だす T1 いず いづ いで じ すっ すつ てん {exit} {leave} {go out} {come out} {put out} {protrude} 
入 467E U5165 B11 G1 S2 F56 J4 N574 V366 H3370 DP4177 DK2113 DL2859 L779 DN842 K74 O15 DO39 MN1415 MP1.1037 E63 IN52 DS125 DF17 DH28 DT8 DC65 DJ186 DB2.9 DG150 DM786 P4-2-4 I0a2.3 Q8000.0 DR3562 ZPP3-1-1 Yru4 Wib ニュウ ジュ い.る -い.る -い.り い.れる -い.れ はい.る T1 いり いる に の りり {enter} {insert} 
口 387D U53e3 B30 G1 S3 F284 J4 N868 V685 H3382 DP4189 DK2119 DL2865 L11 DN11 K213 O29 DO38 MN3227 MP2.0717 E20 IN54 DS27 DF31 DH34 DT16 DC200 DJ167 DB2.16 DG276 DM11 P4-3-1 I3d0.1 Q6000.0 DR3777 ZPP3-3-0 Ykou3 Wgu コウ ク くち {mouth} 
前 4130 U524d B12 C18 G2 S9 F27 J4 N595 V490 H2266 DP2819 DK1453 DL1957 L290 DN309 K38 O921 DO139 MN2011X MP2.0272 E159 IN47 DS102 DF23 DH177 DT182 DC53 DJ29 DB2.3 DG196 DM296 P2-3-6 I2o7.3 Q8022.1 DR943 ZPP2-2-7 Yqian2 Wjeon ゼン まえ -まえ T1 さき さと まい {in front} {before} 
間 3456 U9593 B169 G2 S12 XDR3853 F33 J4 N4949 V6391 H3323 DP4122 DK2094 DL2836 L1620 DN1747 K27 O1822 DO174 MN41249 MP11.0733 E92 IN43 DS58 DF96 DH100 DT215 DC31 DJ161 DB2.7 DG1841 DM1634 P3-8-4 I8e4.3 Q7760.7 DR3878 Yjian1 Yjian4 Wgan カン ケン あいだ ま あい T1 ちか は はざ はし {interval} {space} 
右 3126 U53f3 B30 G1 S5 F602 J4 N878 V700 H2975 DP3693 DK1888 DL2568 L78 DN82 K503 O171 DO88 MN3250 MP2.0769 E2 IN76 DS19 DF33 DH22 DT38 DC384 DJ35 DB3.12 DG277 DM78 P3-2-3 I3d2.15 Q4060.0 DR1477 Yyou4 Wu ウ ユウ みぎ T1 あき すけ {right} 
左 3A38 U5de6 B48 G1 S5 F630 J4 N1455 V1535 H2974 DP3692 DK1887 DL2567 L77 DN81 K477 O169 DO87 MN8720 MP4.0345 E22 IN75 DS18 DF50 DH21 DT39 DC374 DJ36 DB3.12 DG552 DM77 P3-2-3 I0a5.20 Q4001.1 DR1472 Yzuo3 Wjwa サ シャ ひだり T1 そ {left} 
店 4539 U5e97 B53 G2 S8 F378 J4 N1509 V1613 H3085 DP3828 DK1962 DL2657 L588 DN632 K211 DO235 MN9267 MP4.0555 E178 IN168 DS284 DF52 DH195 DT163 DJ55 DB2.4 DG586 DM595 P3-3-5 I3q5.4 Q0026.1 DR577 Ydian4 Wjeom テン みせ たな {store} {shop} 
電 4545 U96fb B173 G2 S13 F268 J4 N5050 V6526 H2790 DP3465 DK1784 DL2431 L535 DN574 K125 O2025 DO222 MN42253 MP12.0045 E180 IN108 DS286 DF98 DH197 DT228 DC332 DJ61 DB2.2 DG1862 DM541 P2-8-5 I8d5.2 Q1071.6 DR3156 Ydian4 Wjeon デン {electricity} 
話 4F43 U8a71 B149 G2 S13 F134 J4 N4358 V5608 H1527 DP1928 DK1027 DL1388 L344 DN368 K133 DO180 MN35441 MP10.0454 E221 IN238 DS151 DF86 DH240 DT229 DC125 DJ178 DB2.2 DG1684 DM350 P1-7-6 I7a6.8 Q0266.4 DR3077 Yhua4 Whwa ワ はな.す はなし {tale} {talk} 
方 4A7D U65b9 B70 G2 S4 F46 J3 N2082 V2389 H1963 DP2459 DK1243 DL1709 L490 DN529 K28 O85 DO26 MN13620 MP5.0654 E204 IN70 DS138 DF182 DH223 DT102 DC25 DJ43 DB2.5 DG957 DM501 P2-2-2 I4h0.1 Q0022.7 DR445 ZPP3-3-1 Yfang1 Wbang ホウ かた -かた -がた T1 から な なた ふさ まさ みち も わ {direction} {person} {alternative} 
名 4C3E U540d B36 C30 G1 S6 F177 J4 N1170 V716 H2169 DP2693 DK1371 DL1857 L112 DN117 K116 O346 DO131 MN3297 MP2.0825 E71 IN82 DS140 DF34 DH55 DT53 DC140 DJ82 DB2.3 DG285 DM113 P2-3-3 I3d3.12 Q2760.0 DR2577 ZPP3-3-3 ZPP4-6-1 Yming2 Wmyeong メイ ミョウ な -な T1 と {name} {noted} {distinguished} {reputation} 
書 3D71 U66f8 B129 C73 G2 S10 F169 J4 N3719 V2463 H2658 DP3292 DK1703 DL2314 L327 DN349 K130 O1216 DO70 MN14294 MP5.0966 E142 IN131 DS92 DF58 DH159 DT197 DC121 DJ181 DB2.3 DG998 DM333 P2-6-4 I4c6.6 Q5060.1 DR1678 Yshu1 Wseo ショ か.く -が.き -がき T1 かき {write} 
手 3C6A U624b B64 G1 S4 F60 J4 N1827 V2060 H3456 DP4267 DK2155 DL2907 L637 DN687 K42 O118 DO37 MN11768 MP5.0078 E32 IN57 DS28 DF54 DH35 DT30 DC57 DJ170 DB2.19 DG847 DM644 P4-4-3 I3c0.1 Q2050.0 DR2247 ZPP2-1-3 Yshou3 Wsu シュ ズ て て- -て た- {hand} 
紙 3B66 U7d19 B120 G2 S10 XJ05663 F559 J3 N3510 V4455 H1302 DP1654 DK879 DL1197 L1829 DN1971 K501 O1953 DO362 MN27293 MP8.0972 E132 IN180 DS85 DF236 DH148 DT194 DC456 DJ243 DB2.2 DG1517 DM1846 P1-6-4 I6a4.4 Q2294.0 DR2756 Yzhi3 Wji シ かみ {paper} 
下 323C U4e0b B1 G1 S3 XJ13023 F97 J4 N9 V9 H3378 DP4186 DK2115 DL2862 L50 DN51 K72 O46 DO30 MN14 MP1.0220 E7 IN31 DS21 DF6 DH24 DT13 DC75 DJ32 DB2.1 DG4 DM50 P4-3-1 I2m1.2 Q1023.0 DR3154 Yxia4 Wha カ ゲ した しも もと さ.げる さ.がる くだ.る くだ.り くだ.す -くだ.す くだ.さる お.ろす お.りる T1 さか しと {below} {down} {descend} {give} {low} {inferior} 
新 3F37 U65b0 B69 G2 S13 F51 J4 N2080 V2387 H1784 DP2239 DK1166 DL1587 L1502 DN1619 K36 O1965 DO178 MN13572 MP5.0627 E148 IN174 DS256 DF55 DH165 DT226 DC80 DJ85 DB2.5 DG956 DM1516 P1-9-4 I5b8.3 Q0292.1 DR454 Yxin1 Wsin シン あたら.しい あら.た あら- にい- T1 あせ あたらし し に にっ につ よし {new} 
古 3845 U53e4 B24 C30 G2 S5 F509 J4 N770 V702 H2002 DP2495 DK1262 DL1728 L16 DN16 K373 O154 DO93 MN3233 MP2.0724 E109 IN172 DS70 DF32 DH121 DT107 DC320 DJ86 DB2.5 DG278 DM16 P2-2-3 I2k3.1 Q4060.0 DR1577 Ygu3 Wgo コ ふる.い ふる- -ふる.す T1 ふゆ {old} 
聞 4A39 U805e B169 G2 S14 XDR3853 F319 J4 N4959 V4732 H3326 DP4127 DK2097 DL2840 L1626 DN1754 K262 O2244 DO109 MN29104 MP9.0215 E200 IN64 DS314 DF80 DH219 DT234 DC184 DJ179 DB2.8 DG1584 DM1640 P3-8-6 I8e6.1 Q7740.1 Q7712.1 DR3854 Ywen2 Ywen4 Wmun ブン モン き.く き.こえる {hear} {ask} {listen} 
校 393B U6821 B75 G1 S10 F294 J4 N2260 V2669 H929 DP1166 DK630 DL840 L1278 DN1371 K176 O1096 DO91 MN14713 MP6.0298 E21 IN115 DS75 DF64 DH46 DT79 DC233 DJ51 DB2.9 DG1091 DM1286 P1-4-6 I4a6.24 Q4094.8 DR1866 Yxiao4 Yjiao4 Wgyo Whyo コウ キョウ T1 めん {exam} {school} {printing} {proof} {correction} 
食 3F29 U98df B184 G2 S9 F328 J4 N5154 V6674 H2075 DP2578 DK1316 DL1787 L1472 DN1582 K269 O1159 DO283 MN44014 MP12.0371 E146 IN322 DS253 DF99 DH163 DT180 DC207 DJ131 DB2.13 DG1900 DM1484 P2-2-7 I8b0.1 Q8073.2 DR2865 Yshi2 Ysi4 Wsig Wsa ショク ジキ く.う く.らう た.べる は.む T1 ぐい {eat} {food} 
買 4763 U8cb7 B122 C154 G2 S12 F520 J4 N3637 V5793 H2598 DP3211 DK1662 DL2252 L831 DN894 K330 O1753 DO48 MN36708 MP10.0733 E193 IN241 DS300 DF89 DH212 DT221 DC433 DJ188 DB2.8 DG1731 DM839 P2-5-7 I5g7.2 Q6080.6 DR3661 Ymai3 Wmae バイ か.う {buy} 
作 3A6E U4f5c B9 G2 S7 F103 J3 N407 V167 H68 DP77 DK49 DL52 L1142 DN1224 K99 O362 DO147 MN518 MP1.0718 E127 IN360 DS82 DF116 DH141 DT144 DC120 DJ137 DB3.4 DG75 DM1151 P1-2-5 I2a5.10 Q2821.1 DR2154 Yzuo1 Yzuo4 Yzuo2 Wjag Wja Wju サク サ つく.る つく.り -づく.り T1 くり さか さっ づくり とも なお はぎ まさか {make} {production} {prepare} {build} 
今 3A23 U4eca B9 G2 S4 F49 J4 N352 V112 H1968 DP2464 DK1246 DL1712 L1587 DN1711 K146 O67 DO94 MN358 MP1.0588 E125 IN51 DS81 DF12 DH138 DT93 DC50 DJ27 DB2.2 DG45 DM1601 P2-2-2 I2a2.10 Q8020.7 DR2860 ZPP2-3-1 Yjin1 Wgeum コン キン いま T1 な {now} 
屋 3230 U5c4b B44 G3 S9 F616 J3 N1392 V1421 H3098 DP3842 DK1973 DL2669 L1058 DN1138 K270 O1233 DO251 MN7684 MP4.0149 E236 IN167 DS161 DF160 DH256 DT319 DC236 DJ54 DB2.13 DG530 DM1067 P3-3-6 I3r6.3 Q7721.4 DR3772 Ywu1 Wog オク や T1 た {roof} {house} {shop} {dealer} {seller} 
月 376E U6708 B74 G1 S4 F23 J4 N2169 V2530 H2956 DP3674 DK1876 DL2556 L13 DN13 K26 O80 DO13 MN14330 MP5.1010 E16 IN17 DS12 DF59 DH14 DT28 DC66 DJ17 DB1.A DG1002 DM13 P3-2-2 I4b0.1 Q7722.0 DR3946 ZPP4-4-1 Yyue4 Wweol ゲツ ガツ つき T1 おと がっ す ずき もり {month} {moon} 
火 3250 U706b B86 G1 S4 XJ1305C F574 J4 N2743 V3394 H3463 DP4273 DK2159 DL2911 L161 DN173 K432 O52 DO15 MN18850 MP7.0359 E8 IN20 DS13 DF69 DH15 DT27 DJ18 DB1.A DG1260 DM163 P4-4-4 I4d0.1 Q9080.0 DR1162 ZPP1-1-3 Yhuo3 Whwa カ ひ -び ほ- {fire} 
水 3F65 U6c34 B85 G1 S4 F223 J4 N2482 V3030 H10 DP10 DK3 DL3 L130 DN137 K144 O54 DO16 MN17083 MP6.0854 E40 IN21 DS14 DF68 DH16 DT31 DC166 DJ19 DB1.A DG1151 DM132 P1-1-3 I3a0.1 Q1223.0 DR1142 ZPP4-4-3 Yshui3 Wsu スイ みず みず- T1 うず ずみ つ ど み みさ みつ みな みん {water} 
木 4C5A U6728 B75 G1 S4 F317 J4 N2170 V2531 H3450 DP4261 DK2149 DL2901 L195 DN207 K148 O109 DO17 MN14415 MP6.0001 E69 IN22 DS15 DF60 DH17 DT36 DC255 DJ20 DB1.A DG1045 DM199 P4-4-3 I4a0.1 Q4090.0 DR1864 Ymu4 Wmog Wmo ボク モク き こ- T1 ぐ も もと {tree} {wood} 
金 3662 U91d1 B167 G1 S8 F53 J4 N4815 V6211 H2057 DP2552 DK1302 DL1771 L269 DN287 K59 O664 DO18 MN40152 MP11.0445 E14 IN23 DS16 DF94 DH18 DT72 DC79 DJ21 DB1.A DG1808 DM275 P2-2-6 I8a0.1 Q8010.9 DR2872 Yjin1 Wgim Wgeum キン コン ゴン かね かな- -がね T1 かん きむ こ この ん {gold} 
土 455A U571f B32 G1 S3 F307 J4 N1050 V966 H3403 DP4211 DK2127 DL2875 L150 DN161 K316 O42 DO19 MN4867 MP3.0108 E60 IN24 DS17 DF37 DH19 DT22 DC360 DJ22 DB1.A DG347 DM152 P4-3-2 I3b0.1 Q4010.0 DR1472 Ytu3 Wto Wdu ド ト つち T1 つ つく は ひじ {soil} {earth} {ground} {Turkey} 
曜 4D4B U66dc B72 G2 S18 F940 J3 N2162 V2522 H1096 DP1402 DK749 DL1014 L576 DN618 K514 O2720 DO14 MN14227P MP5.0945 E216 IN19 DS329 DF192 DH236 DT240 DJ23 DB2.10 DG995 DM583 P1-4-14 I4c14.1 Q6701.4 DR3875 Yyao4 Yyue4 Wyo ヨウ T1 てる {weekday} 
時 3B7E U6642 B72 G2 S10 XJ14172 F16 J4 N2126 V2462 H924 DP1155 DK625 DL830 L159 DN171 K19 O1086 DO46 MN13890 MP5.0848 E135 IN42 DS87 DF57 DH151 DT195 DC24 DJ25 DB2.1 DG988 DM161 P1-4-6 I4c6.2 Q6404.1 DR3848 Yshi2 Wsi ジ とき -どき T1 と とぎ {time} {hour} 
休 3559 U4f11 B9 G1 S6 F642 J4 N380 V142 H52 DP56 DK36 DL37 L965 DN1038 K583 O233 DO153 MN440 MP1.0663 E13 IN60 DS61 DF13 DH80 DT56 DJ138 DB2.6 DG64 DM974 P1-2-4 I2a4.2 Q2429.0 DR2164 Yxiu1 Whyu キュウ やす.む やす.まる やす.める {rest} {day off} {retire} {sleep} 
毎 4B68 U6bce B80 G2 S6 F436 J4 N2467 V3006 H2034 DP2527 DK1283 DL1751 L458 DN497 K396 O444 DO92 MN16724P MP6.0795 E206 IN116 DS318 DF66 DH225 DT136 DJ164 DB2.17 DG1144 DM468 P2-2-4 I0a6.25 Q8050.7 DR2347 Ymei3 Wmae マイ ごと -ごと.に T1 つね {every} 
年 472F U5e74 B4 C51 G1 S6 XJ15078 F6 J4 N188 V1593 H2035 DP2528 DK1284 DL1752 L1036 DN1114 K3 O342 DO64 MN9168 MP4.0512 E64 IN45 DS126 DF51 DH20 DT51 DC13 DJ24 DB2.3 DG574 DM1045 P2-2-4 I0a6.16 Q8050.0 DR2355 ZPP4-6-3 Ynian2 Wnyeon ネン とし T1 ね {year} {counter for years} 
半 483E U534a B3 C24 G2 S5 F224 J4 N132 V608 H3501 DP4313 DK2182 DL2936 L1202 DN1286 K224 O213 DO150 MN2707X MP2.0540 E195 IN88 DS129 DF28 DH214 DT113 DC324 DJ159 DB2.1 DG243 DM1210 P4-5-3 I0a5.24 Q9050.0 DR1055 Yban4 Wban ハン なか.ば T1 は {half} {middle} {odd number} {semi-} {part-} 
午 3861 U5348 B4 C24 G2 S4 F154 J4 N162 V604 H1984 DP2478 DK1254 DL1720 L568 DN610 K98 O112 DO140 MN2703 MP2.0538 E110 IN49 DS207 DF27 DH122 DT91 DJ28 DB2.17 DG241 DM575 P2-2-2 I2k2.2 Q8040.0 DR2355 ZPP4-4-3 Ywu3 Wo ゴ うま {noon} {sign of the horse} {11AM-1PM} {seventh sign of Chinese zodiac} 
後 3865 U5f8c B60 G2 S9 F26 J4 N1610 V1742 H361 DP431 DK267 DL321 L1379 DN1479 K45 O1300 DO276 MN10098 MP4.0829 E111 IN48 DS208 DF53 DH123 DT174 DC48 DJ30 DB2.11 DG625 DM1391 P1-3-6 I3i6.5 Q2224.7 DR2067 Yhou4 Whu ゴ コウ のち うし.ろ うしろ あと おく.れる T1 こし し しい しり {behind} {back} {later} 
朝 442B U671d B130 C74 G2 S12 F248 J3 N3788 V4838 H1695 DP2130 DK1114 DL1513 L52 DN53 K257 O1672 DO395 MN14374P MP5.1069 E175 IN469 DS118 DF195 DH191 DT218 DC217 DJ91 DB2.15 DG1009 DM52 P1-8-4 I4b8.12 Q4742.0 DR1546 Yzhao1 Ychao2 Wjo チョウ あさ T1 あ あそ ささ ちか とも {morning} {dynasty} {regime} {epoch} {period} {(North) Korea} 
晩 4855 U6669 B72 G6 S12 F1424 J2 N2145 V2491 H979 DP1232 DK668 DL891 L1974 DN2128 K1175 O1595 DO901 MN14030PX MP5.0911 E961 IN736 DF601 DH971 DT954 DJ94 DB2.5 DG991 DM1993 P1-4-8 I4c8.3 Q6701.6 DR3857 Ywan3 Wman バン {nightfall} {night} 
週 3D35 U9031 B162 G2 S11 S10 F540 J4 N4707 V6070 H3122 DP3874 DK1992 DL2690 L318 DN340 K438 DO188 MN38937P MP11.0090 E308 IN92 DS242 DF92 DH157 DT206 DJ163 DB2.6 DG701 DM324 P3-3-8 I2q8.7 Q3730.2 DR3649 Yzhou1 Wju シュウ {week} 
東 456C U6771 B4 C75 G2 S8 F37 J4 N213 V2596 H3568 DP4385 DK2221 DL2987 L504 DN543 K11 O771 DO27 MN14499 MP6.0172 E184 IN71 DS121 DF63 DH201 DT164 DC108 DJ39 DB2.10 DG1053 DM516 P4-8-3 I0a8.9 Q5090.6 DR1564 Ydong1 Wdong トウ ひがし T1 あい あがり あずま あづま こ さき しの とお はる ひが もと {east} 
京 357E U4eac B8 G2 S8 XJ05037 F74 J3 N295 V93 H2052 DP2546 DK1297 DL1766 L312 DN334 K16 O663 DO172 MN299 MP1.0545 E99 IN189 DS63 DF109 DH110 DT157 DC303 DJ233 DB2.10 DG39 DM318 P2-2-6 I2j6.3 Q0090.6 DR441 Yjing1 Wgyeong キョウ ケイ キン みやこ T1 たか {capital} {10**16} 
忙 4B3B U5fd9 B61 G8 S6 XJ13D6B F1475 J2 N1647 V1783 H214 DP248 DK158 DL188 L618 DN665 K1371 DO890 MN10334 MP4.0964 E1806 IN1373 DF529 DT1075 DJ126 DB3.16 DG807 DM625 P1-3-3 I4k3.2 Q9001.0 DR1175 ZPP1-1-5 Ymang2 Wmang ボウ モウ いそが.しい せわ.しい おそ.れる うれえるさま {busy} {occupied} {restless} 
早 4161 U65e9 B72 G1 S6 F402 J3 N2100 V2419 H2390 DP3042 DK1549 DL2120 L26 DN26 K259 O295 DO117 MN13742 MP5.0744 E50 IN248 DS104 DF185 DH56 DT55 DC409 DJ117 DB2.6 DG966 DM26 P2-4-2 I4c2.1 Q6040.0 DR3855 Yzao3 Wjo ソウ サッ はや.い はや はや- はや.まる はや.める さ- T1 さか さわ そ わ {early} {fast} 
私 3B64 U79c1 B115 G6 S7 F242 J3 N3265 V4124 H1115 DP1432 DK758 DL1030 L902 DN968 K221 O637 DO367 MN24913 MP8.0527 E876 IN125 DS797 DF232 DH887 DT852 DC17 DJ72 DB2.7 DG1428 DM911 P1-5-2 I5d2.2 Q2293.0 DR2271 Ysi1 Wsa シ わたくし わたし {private} {I} {me} 
村 423C U6751 B75 G1 S7 F253 J3 N2191 V2564 H834 DP1029 DK558 DL738 L208 DN221 K210 O424 DO154 MN14464 MP6.0142 E52 IN191 DS107 DF196 DH62 DT65 DC241 DJ364 DG1073 DM212 P1-4-3 I4a3.11 Q4490.0 DR1848 Ycun1 Wchon ソン むら T1 え むた ら {village} {town} 
友 4D27 U53cb B29 G2 S4 F622 J4 N858 V672 H2952 DP3670 DK1873 DL2553 L704 DN760 K543 O70 DO158 MN3119 MP2.0685 E214 IN264 DS145 DF30 DH234 DT104 DC451 DJ79 DB2.18 DG268 DM711 P3-2-2 I2h2.3 Q4004.7 DR1467 ZPP4-4-4 Yyou3 Wu ユウ とも T1 う ど ゆ {friend} 
次 3C21 U6b21 B15 C76 G3 S6 F222 J2 N638 V2929 H54 DP58 DK38 DL39 L471 DN510 K235 O226 DO239 MN15992P MP6.0618 E292 IN384 DS227 DF648 DH308 DT268 DC150 DJ660 DG1120 DM482 P1-2-4 I2b4.1 Q3718.2 DR362 Yci4 Wcha ジ シ つ.ぐ つぎ T1 き すき つぐ よし {next} {order} {sequence} 
上 3E65 U4e0a B25 C1 G1 S3 XJ13022 F35 J4 N798 V10 H3404 DP4212 DK2128 DL2876 L49 DN50 K21 O47 DO29 MN13 MP1.0195 E37 IN32 DS20 DF5 DH23 DT12 DC29 DJ31 DB2.14 DG6 DM49 P4-3-2 I2m1.1 Q2110.0 DR1272 Yshang4 Yshang3 Wsang ジョウ ショウ シャン うえ -うえ うわ- かみ あ.げる -あ.げる あ.がる -あ.がる あ.がり -あ.がり のぼ.る のぼ.り のぼ.せる のぼ.す よ.す T1 あおい あげ い か かき かず かん こう のぼり ほつ {above} {up} 
寺 3B7B U5bfa B32 C41 G2 S6 F879 J2 N1054 V1373 H2164 DP2687 DK1367 DL1853 L158 DN170 K687 O268 DO45 MN7414 MP4.0004 E133 IN41 DS228 DF475 DH149 DT125 DJ328 DG500 DM160 P2-3-3 I3b3.5 Q4034.1 DR1448 Ysi4 Wsa Wsi ジ てら {Buddhist temple} 
明 4C40 U660e B72 G2 S8 XJ14272 F67 J3 N2110 V2435 H855 DP1060 DK572 DL756 L20 DN20 K84 O623 DO58 MN13805 MP5.0763 E208 IN18 DS141 DF186 DH228 DT167 DC152 DJ106 DB3.9 DG984 DM20 P1-4-4 I4c4.1 Q6702.0 DR3846 Yming2 Wmyeong メイ ミョウ ミン あ.かり あか.るい あか.るむ あか.らむ あき.らか あ.ける -あ.け あ.く あ.くる あ.かす T1 あきら あけ あす きら け さや さやか とし はる み め {bright} {light} 
子 3B52 U5b50 B39 G1 S3 F72 J4 N1264 V1281 H3390 DP4196 DK2125 DL2872 L95 DN99 K56 O38 DO61 MN6930 MP3.0776 E25 IN103 DS31 DF43 DH40 DT18 DC42 DJ69 DB2.18 DG455 DM96 P4-3-1 I2c0.1 Q1740.7 DR3547 ZSP4-2-1 Yzi3 Yzi2 Yzi5 Wja シ ス ツ こ -こ ね T1 い き ぎ く け ねっ {child} {sign of the rat} {11PM-1AM} {first sign of Chinese zodiac} 
女 3D77 U5973 B38 G1 S3 F151 J4 N1185 V1173 H3418 DP4226 DK2135 DL2884 L98 DN102 K178 O114 DO62 MN6036 MP3.0612 E35 IN102 DS32 DF42 DH41 DT19 DC60 DJ68 DB2.13 DG423 DM99 P4-3-4 I3e0.1 Q4040.0 DR1769 Ynu:3 Yru3 Wnyeo Wyeo ジョ ニョ ニョウ おんな め T1 おな た つき な {woman} {female} 
男 434B U7537 B102 G1 S7 XJ13134 F240 J4 N2996 V3731 H2542 DP3147 DK1613 DL2199 L859 DN923 K228 O495 DO63 MN21730 MP7.1079 E54 IN101 DS109 DF72 DH42 DT66 DC203 DJ67 DB2.13 DG1334 DM867 P2-5-2 I5f2.2 Q6042.7 DR3645 Ynan2 Wnam ダン ナン おとこ お T1 み {male} 
待 4254 U5f85 B60 G3 S9 F391 J3 N1609 V1741 H364 DP434 DK269 DL323 L879 DN944 K374 O785 DO611 MN10085 MP4.0821 E337 IN452 DS271 DF171 DH357 DT336 DC366 DJ195 DB3.14 DG626 DM888 P1-3-6 I3i6.4 Q2424.1 DR2048 Ydai4 Wdae タイ ま.つ -ま.ち T1 まち まつ {wait} {depend on} 
知 434E U77e5 B111 G2 S8 F205 J3 N3169 V3978 H1127 DP1446 DK768 DL1041 L1223 DN1308 K207 O636 DO196 MN23935 MP8.0279 E169 IN214 DS112 DF229 DH186 DT160 DC73 DJ143 DB2.18 DG1394 DM1231 P1-5-3 I3d5.14 Q8640.0 DR2377 Yzhi1 Yzhi4 Wji チ し.る し.らせる T1 さと さとる しり しれ とも のり {know} {wisdom} 
困 3A24 U56f0 B31 G6 S7 XDR3675 F843 J2 N1033 V946 H3070 DP3808 DK1950 DL2644 L579 DN621 K860 DO969 MN4717 MP3.0062 E868 IN558 DF422 DH878 DT851 DC437 DJ254 DB3.9 DG341 DM586 P3-3-4 I3s4.1 Q6090.4 DR1864 Ykun4 Wgon コン こま.る {quandary} {become distressed} {annoyed} 
林 4E53 U6797 B75 G1 S8 F656 J3 N2210 V2590 H861 DP1071 DK577 DL765 L196 DN208 K420 O633 DO57 MN14551 MP6.0228 E75 IN127 DS150 DF197 DH64 DT75 DJ459 DG1081 DM200 P1-4-4 I4a4.1 Q4499.0 DR1864 Ylin2 Wrim リン はやし T1 し {grove} {forest} 
仕 3B45 U4ed5 B9 G3 S5 F439 J3 N362 V123 H34 DP37 DK21 DL21 L960 DN1033 K397 O124 DO75 MN368 MP1.0596 E285 IN333 DS221 DF110 DH301 DT250 DC271 DJ236 DB2.7 DG58 DM969 P1-2-3 I2a3.2 Q2421.0 DR2172 Yshi4 Wsa シ ジ つか.える {attend} {doing} {official} {serve} 
事 3B76 U4e8b B6 G3 S8 XJ0502F XJ1345B F18 J3 N272 V71 H3567 DP4384 DK2220 DL2986 L1156 DN1240 K32 O768 DO73 MN241 MP1.0412 E293 IN80 DS230 DF108 DH309 DT300 DC10 DJ237 DB2.7 DG30 DM1164 P4-8-3 I0a8.15 Q5000.7 DR1547 Yshi4 Wsa ジ ズ こと つか.う つか.える T1 ろ {matter} {thing} {fact} {business} {reason} {possibly} 
使 3B48 U4f7f B9 G3 S8 F219 J3 N432 V196 H90 DP100 DK68 DL72 L990 DN1065 K226 O556 DO210 MN573 MP1.0736 E287 IN331 DS224 DF117 DH303 DT298 DC239 DJ199 DB2.3 DG89 DM999 P1-2-6 I2a6.2 Q2520.6 DR2166 Yshi3 Yshi4 Wsa シ つか.う つか.い -つか.い -づか.い {use} {send on a mission} {order} {messenger} {envoy} {ambassador} {cause} 
去 356E U53bb B32 C28 G3 S5 XJ13455 F440 J3 N1051 V665 H2156 DP2678 DK1364 DL1850 L750 DN812 K618 O266 DO475 MN3070 MP2.0670 E258 IN414 DS189 DF133 DH276 DT247 DC496 DJ309 DB2.8 DG261 DM757 P2-3-2 I3b2.2 Q4073.1 DR1471 Yqu4 Wgeo キョ コ さ.る -さ.る T1 い {gone} {past} {quit} {leave} {elapse} {eliminate} {divorce} 
飲 307B U98f2 B184 G3 S12 XJ05D3B F969 J4 N5159 V6680 H1692 DP2127 DK1111 DL1510 L1474 DN1584 K935 DO489 MN44063P MP12.0385 E230 IN323 DS351 DF100 DH250 DT388 DJ132 DB2.14 DG1903 DM1486 P1-8-4 I8b4.1 Q8778.2 DR2862 Yyin3 Yyin4 Weum イン オン の.む -の.み {drink} {smoke} {take} 
外 3330 U5916 B36 G2 S5 F81 J4 N1168 V1125 H186 DP215 DK135 DL163 L111 DN116 K120 O139 DO42 MN5750 MP3.0321 E91 IN83 DS56 DF38 DH96 DT105 DC69 DJ150 DB2.11 DG404 DM112 P1-3-2 I2m3.1 Q2320.0 DR2554 Ywai4 Woe ガイ ゲ そと ほか はず.す はず.れる と- T1 うい け ふか {outside} 
当 4576 U5f53 B42 G2 S6 XJ06144 F91 J2 N1359 V1706 H2177 DP2701 DK1378 DL1865 L1153 DN1236 K93 O282 DO96 MN9913 MP4.0779 E183 IN77 DS290 DF517 DH200 DT132 DC68 DJ402 DG513 DM1161 P2-3-3 I3n3.3 Q9017.7 DR1075 Ydang1 Ydang4 Wdang トウ あ.たる あ.たり あ.てる あ.て まさ.に まさ.にべし T1 たい {hit} {right} {appropriate} {himself} 
父 4963 U7236 B88 G2 S4 F646 J4 N2832 V3516 H1973 DP2467 DK1248 DL1714 L1274 DN1366 K742 O65 DO90 MN19721 MP7.0578 E197 IN113 DS131 DF70 DH216 DT100 DC226 DJ73 DB2.7 DG1286 DM1282 P2-2-2 I2o2.3 Q8040.0 DR2066 Yfu4 Yfu3 Wbu Wbo フ ちち {father} 
母 4A6C U6bcd B80 G2 S5 F570 J4 N2466 V3005 H3475 DP4287 DK2165 DL2917 L101 DN105 K554 O326 DO89 MN16723 MP6.0793 E203 IN112 DS137 DF65 DH222 DT114 DC317 DJ74 DB2.7 DG1143 DM102 P4-5-1 I0a5.36 Q7750.0 DR3647 Ymu3 Wmo ボ はは も {mother} 
兄 373B U5144 B30 C10 G2 S5 F1219 J3 N875 V344 H2154 DP2676 DK1362 DL1848 L103 DN107 K1049 O181 DO234 MN1343 MP1.0996 E267 IN406 DS199 DF122 DH114 DT106 DJ75 DB3.18 DG142 DM104 P2-3-2 I3d2.9 Q6021.0 DR3757 Yxiong1 Whyeong ケイ キョウ あに T1 え せ よし {elder brother} {big brother} 
弟 446F U5f1f B12 C57 G2 S7 F1161 J3 N584 V1685 H2044 DP2537 DK1291 DL1759 L1240 DN1328 K1090 O764 DO446 MN9737 MP4.0698 E177 IN405 DS282 DF168 DH194 DT150 DJ76 DB3.8 DG607 DM1248 P2-2-5 I2o5.1 Q8022.7 DR944 ZPP4-7-3 Ydi4 Wje テイ ダイ デ おとうと T1 て {younger brother} {faithful service to elders} 
姉 3B50 U59c9 B38 G2 S8 XJ1393D F1473 J3 N1207 V1201 H280 DP336 DK210 DL253 L413 DN442 K1329 O847 DO120 MN6165 MP3.0661 E498 IN407 DS413 DF154 DH146 DT159 DJ77 DB3.15 DG438 DM420 P1-3-5 I3e5.8 Q4042.7 DR1744 ZSP1-3-4 Yzi3 Wja シ あね はは {elder sister} 
妹 4B65 U59b9 B38 G2 S8 F1446 J3 N1204 V1199 H278 DP333 DK208 DL250 L220 DN234 K1204 O848 DO427 MN6138 MP3.0657 E207 IN408 DS319 DF153 DH226 DT166 DJ78 DB3.15 DG441 DM225 P1-3-5 I3e5.4 Q4549.0 DR1764 Ymei4 Wmae マイ いもうと T1 す せ も {younger sister} 
主 3C67 U4e3b B8 C3 G3 S5 F95 J3 N285 V38 H1938 DP2437 DK1231 DL1696 L266 DN284 K91 O196 DO49 MN100 MP1.0329 E299 IN155 DS237 DF106 DH315 DT252 DC34 DJ70 DB2.10 DG19 DM272 P2-1-4 I4f1.1 Q0010.4 DR472 ZPP2-2-3 ZPP4-5-2 Yzhu3 Wju シュ ス シュウ ぬし おも あるじ T1 かず ず もん {lord} {chief} {master} {main thing} {principal} 
内 4662 U5185 B2 C13 G2 S4 F44 J2 N82 V386 H3466 DP4277 DK2162 DL2914 L1019 DN1095 K51 O81 DO132 MN1512 MP2.0110 E364 IN84 DS489 DF345 DH207 DT99 DC77 DJ152 DB2.4 DG160 DM1028 P4-4-4 I0a4.23 Q4022.7 DR1653 Ynei4 Wnae Wnab ナイ ダイ うち T1 いと ただ ち のち {inside} {within} {between} {among} {house} {home} 
家 3248 U5bb6 B40 G2 S10 F133 J3 N1311 V1337 H2273 DP2827 DK1458 DL1963 L541 DN580 K81 O1185 DO151 MN7169 MP3.1021 E83 IN165 DS53 DF158 DH89 DT189 DC46 DJ52 DB2.8 DG480 DM547 P2-3-7 I3m7.1 Q3023.2 DR751 Yjia1 Ygu1 Wga カ ケ いえ や うち T1 あり え く つか べ {house} {home} {family} {professional} {expert} {performer} 
両 4E3E U4e21 B1 G3 S6 XJ05140 XJ13028 F247 J2 N34 V23 H3518 DP4331 DK2191 DL2949 L1168 DN1252 K281 O531 DO859 MN46 MP1.0285 E411 IN200 DS336 DF286 DH434 DT275 DC288 DJ556 DG15 DM1176 P4-6-1 I0a6.11 Q1022.7 DR3153 Yliang3 Wryang リョウ てる ふたつ T1 もろ {both} {old Japanese coin} {counter for carriages (e.g., in a train)} {two} 
親 3F46 U89aa B147 G2 S16 F406 J3 N4293 V5534 H1799 DP2264 DK1172 DL1599 L1504 DN1621 K381 O2544 DO211 MN34918 MP10.0332 E149 IN175 DS260 DF248 DH166 DT237 DC315 DJ249 DB3.6 DG1647 DM1518 P1-9-7 I5b11.1 Q0691.0 DR457 Yqin1 Yqing4 Wchin シン おや おや- した.しい した.しむ T1 ぎ ちか のり {parent} {intimacy} {relative} {familiarity} {dealer (cards)} 
会 3271 U4f1a B9 G2 S6 XJ05072 F4 J4 N381 V143 H2020 DP2512 DK1275 DL1741 L752 DN814 K12 O454 DO116 MN460 MP1.0668 E87 IN158 DS54 DF14 DH93 DT119 DC16 DJ59 DB2.1 DG47 DM759 P2-2-4 I2a4.19 Q8073.1 DR2871 ZPP2-3-3 Yhui4 Ykuai4 Whoe Wgoe Wgwal カイ エ あ.う あ.わせる あつ.まる T1 あい い {meeting} {meet} {party} {association} {interview} {join} 
社 3C52 U793e B113 G2 S7 F21 J4 N3231 V4065 H840 DP1042 DK562 DL745 L1092 DN1173 K30 O406 DO203 MN24631P MP8.0419 E137 IN308 DS234 DF76 DH153 DT145 DC82 DJ60 DB2.1 DG1418 DM1101 P1-4-3 I4e3.1 Q3421.0 DR672 Yshe4 Wsa シャ やしろ T1 こそ {company} {firm} {office} {association} {shrine} 
思 3B57 U601d B102 C61 G2 S9 XJ13D65 F132 J3 N3001 V1824 H2564 DP3173 DK1633 DL2221 L605 DN651 K149 O966 DO95 MN10462 MP4.0994 E131 IN99 DS84 DF173 DH147 DT175 DC26 DJ202 DB2.8 DG776 DM612 P2-5-4 I5f4.4 Q6033.0 DR3658 Ysi1 Ysai1 Wsa シ おも.う おもえら.く おぼ.す {think} 
漢 3441 U6f22 B85 G3 S13 F1487 J3 N2662 V3281 H657 DP808 DK471 DL602 L1578 DN1701 K1394 O1860 DO401 MN18068P MP7.0189 E442 IN556 DS572 DF212 DH265 DT418 DJ527 DB2.19 DG1230 DM1592 P1-3-10 I3a10.17 Q3413.4 DR363 Yhan4 Whan カン T1 はん {Sino-} {China} 
字 3B7A U5b57 B40 C39 G1 S6 F485 J3 N1281 V1285 H2172 DP2696 DK1374 DL1860 L185 DN197 K612 DO121 MN6942 MP3.0816 E28 IN110 DS86 DF156 DH78 DT57 DJ528 DB2.17 DG457 DM188 P2-3-3 I3m2.1 Q3040.7 DR747 ZSP2-3-2 Yzi4 Wja ジ あざ あざな -な {character} {letter} {word} {section of village} 
言 3840 U8a00 B149 G2 S7 F83 J4 N4309 V5552 H1941 DP2440 DK1233 DL1698 L335 DN357 K279 O439 DO43 MN35205 MP10.0380 E274 IN66 DS392 DF85 DH118 DT142 DC44 DJ203 DB2.8 DG1653 DM341 P2-1-6 I7a0.1 Q0060.1 DR3077 Yyan2 Weon ゲン ゴン い.う こと T1 とき {say} 
読 4649 U8aad B149 G2 S14 XJ06C26 F618 J4 N4375 V5629 H1541 DP1943 DK1038 DL1401 L348 DN372 K484 O2142 DO55 MN35580P MP10.0496 E189 IN244 DS123 DF88 DH206 DT233 DC323 DJ180 DB2.10 DG1689 DM354 P1-7-7 I7a7.9 Q0461.2 DR3057 Ydu2 Ydou4 Wdog Wdu ドク トク トウ よ.む -よ.み T1 よみ {read} 
駅 3158 U99c5 B187 G3 S14 XJ07163 F724 J4 N5199 V6735 H1822 DP2292 DK1184 DL1618 L1984 DN2138 K384 O2172 DO189 MN44633P MP12.0506 E233 IN284 DS158 DF101 DH253 DT426 DJ56 DB2.12 DG1915 DM2003 P1-10-4 I10a4.4 Q7738.7 DR3462 Yyi4 Wyeog エキ {station} 
勉 4A59 U52c9 B4 C19 G3 S10 F1066 J3 N228 V543 H3318 DP4113 DK2088 DL2829 L1975 DN2129 K946 O1263 DO852 MN2384P MP2.0390 E390 IN735 DS317 DF129 DH413 DT366 DJ140 DB2.11 DG219 DM1994 P3-8-2 I2n8.1 Q2421.2 DR2557 Ymian3 Wmyeon ベン つと.める T1 ひこ やつ {exertion} {endeavour} {encourage} {strive} {make effort} {diligent} 
強 362F U5f37 B57 G2 S11 F112 J3 N1571 V1695 H475 DP574 DK349 DL432 L1235 DN1321 K112 O1878 DO332 MN9815 MP4.0759 E100 IN217 DS192 DF170 DH111 DT201 DC133 DJ111 DB2.11 DG611 DM1243 P1-3-8 I3h8.3 Q1323.6 DR3571 Yqiang2 Yjiang4 Yqiang3 Wgang キョウ ゴウ つよ.い つよ.まる つよ.める し.いる こわ.い T1 すね {strong} 
申 3F3D U7533 B2 C102 G3 S5 F492 J2 N93 V3726 H3507 DP4319 DK2186 DL2942 L1117 DN1198 K347 O185 DO204 MN21726 MP7.1073 E322 IN309 DS254 DF740 DH338 DT253 DJ585 DB2.9 DG1332 DM1126 P4-5-3 I0a5.39 Q5000.6 DR1655 Yshen1 Wsin シン もう.す もう.し- さる {have the honor to} {sign of the monkey} {3-5PM} {ninth sign of Chinese zodiac} 
用 4D51 U7528 B101 G2 S5 F107 J3 N2993 V3721 H2976 DP3694 DK1889 DL2569 L1181 DN1265 K102 O193 DO110 MN21703 MP7.1044 E215 IN107 DS146 DF219 DH235 DT116 DC177 DJ308 DB2.19 DG1329 DM1189 P3-2-3 I2r3.1 Q7722.0 DR3653 ZPP4-5-1 Yyong4 Wyong ヨウ もち.いる T1 たから {utilize} {business} {service} {use} {employ} 
銀 3664 U9280 B167 G3 S14 F395 J3 N4855 V6268 H1722 DP2156 DK1133 DL1534 L1459 DN1569 K264 O2345 DO379 MN40355 MP11.0525 E263 IN313 DS196 DF268 DH281 DT427 DJ57 DB2.4 DG1817 DM1471 P1-8-6 I8a6.3 Q8713.2 DR2865 Yyin2 Weun ギン しろがね T1 うん かな かね {silver} 
地 434F U5730 B32 G2 S6 F40 J3 N1056 V976 H204 DP236 DK152 DL181 L515 DN554 K40 O241 DO143 MN4890 MP3.0128 E167 IN118 DS111 DF143 DH184 DT130 DC45 DJ146 DB2.1 DG367 DM521 P1-3-3 I3b3.1 Q4411.2 DR1456 Ydi4 Yde5 Wji チ ジ T1 どま {ground} {earth} 
図 3F5E U56f3 B31 G2 S7 XJ05426 XDR3675 F539 J3 N1034 V947 H3071 DP3809 DK1951 DL2645 L1180 DN1264 K631 O502 DO388 MN4734P MP3.0064 E150 IN339 DS261 DF142 DH167 DT146 DJ329 DB2.16 DG342 DM1188 P3-3-4 I3s4.3 Q6040.0 Q6040.3 DR366 Ytu2 Wdo ズ ト え はか.る T1 づ {map} {drawing} {plan} {extraordinary} {audacious} 
番 4856 U756a B165 C102 G2 S12 F348 J2 N4811 V3762 H2748 DP3416 DK1761 DL2396 L1909 DN2058 K323 O1773 DO257 MN21858 MP7.1111 E196 IN185 DS306 DF745 DH215 DT222 DJ551 DB2.9 DG1345 DM1928 P2-7-5 I5f7.4 Q2060.9 DR2276 ZPP2-1-11 ZBP4-11-3 Yfan1 Ypan1 Wbeon Wban バン つが.い T1 は ま {turn} {number in a series} 
号 3966 U53f7 B30 G3 S5 XJ0694B F585 J2 N882 V692 H2153 DP2675 DK1361 DL1847 L1242 DN1330 K368 O272 DO227 MN3256 MP2.0777 E281 IN266 DS215 DF399 DH297 DT248 DJ442 DB2.12 DG316 DM1250 P2-3-2 I3d2.10 Q6020.7 DR3752 ZSP2-3-3 Yhao4 Yhao2 Who ゴウ さけ.ぶ よびな {nickname} {number} {item} {title} {pseudonym} {name} {call} 
止 3B5F U6b62 B77 G2 S4 F310 J3 N2429 V2954 H2941 DP3659 DK1868 DL2545 L370 DN396 K400 O87 DO552 MN16253 MP6.0655 E129 IN477 DS220 DF202 DH143 DT94 DC415 DJ217 DB2.13 DG1127 DM376 P3-2-2 I2m2.2 Q2110.0 DR1273 ZPP4-4-2 Yzhi3 Wji シ と.まる -ど.まり と.める -と.める -ど.め とど.める とど.め とど.まる や.める や.む -や.む よ.す -さ.す -さ.し T1 どめ {stop} {halt} 
草 4170 U8349 B140 G1 S9 F967 J2 N3939 V5032 H2263 DP2813 DK1450 DL1953 L224 DN238 K705 O934 DO118 MN30945P MP9.0654 E162 IN249 DS106 DF865 DH57 DT77 DJ567 DG652 DM229 P2-3-6 I3k6.13 Q4440.6 DR1955 Ycao3 Wcho ソウ くさ くさ- -ぐさ T1 そ や {grass} {weeds} {herbs} {pasture} {write} {draft} 
町 442E U753a B102 G1 S7 XJ06136 F292 J3 N2995 V3729 H1113 DP1430 DK756 DL1028 L92 DN96 K114 O426 DO167 MN21735 MP7.1083 E57 IN182 DS115 DF221 DH61 DT63 DJ549 DB2.4 DG1335 DM93 P1-5-2 I5f2.1 Q6102.0 DR3653 Yting3 Yding1 Wjeong チョウ まち {town} {village} {block} {street} 
立 4E29 U7acb B117 G1 S5 F58 J4 N3343 V4223 H1992 DP2486 DK1257 DL1723 L431 DN462 K61 O194 DO72 MN25721 MP8.0696 E73 IN121 DS149 DF78 DH37 DT49 DC35 DJ174 DB2.7 DG1459 DM438 P2-2-3 I5b0.1 Q0010.8 DR473 ZPP4-5-2 Yli4 Wrib リツ リュウ リットル た.つ -た.つ た.ち- た.てる -た.てる た.て- たて- -た.て -だ.て -だ.てる T1 たち たっ たつ だて つい {stand up} {rise} {set up} {erect} 
天 4537 U5929 B1 C37 G1 S4 F512 J4 N16 V1138 H3442 DP4250 DK2148 DL2898 L428 DN457 K364 O93 DO78 MN5833 MP3.0463 E58 IN141 DS119 DF41 DH67 DT34 DC277 DJ462 DB2.8 DG410 DM435 P4-4-1 I0a4.21 Q1043.0 DR3163 Ytian1 Wcheon テン あまつ あめ あま- T1 あき あも た たかし て なま {heavens} {sky} {imperial} 
虫 436E U866b B142 G1 S6 XJ06A35 F1351 J2 N4115 V5275 H3530 DP4343 DK2199 DL2959 L517 DN556 K1073 O324 DO133 MN32804 MP10.0001 E56 IN873 DS114 DF875 DH74 DT60 DJ466 DG1604 DM523 P4-6-3 I6d0.1 Q5013.6 DR1671 ZPP2-4-2 Ychong2 Yhui3 Whwe Wchung チュウ キ むし T1 む {insect} {bug} {temper} 
竹 435D U7af9 B118 G1 S6 F593 J2 N3366 V4246 H228 DP267 DK168 DL201 L937 DN1007 K719 O247 DO68 MN25841 MP8.0730 E170 IN129 DS113 DF790 DH71 DT59 DJ374 DG1471 DM946 P1-3-3 I6f0.1 Q8822.0 DR2353 Yzhu2 Wjug チク たけ T1 たか {bamboo} 
正 4035 U6b63 B1 C77 G1 S5 F143 J3 N27 V2955 H3484 DP4296 DK2172 DL2926 L379 DN405 K109 O205 DO123 MN16255 MP6.0658 E41 IN275 DS46 DF203 DH79 DT42 DC139 DJ407 DB2.17 DG1128 DM385 P4-5-1 I2m3.3 Q1010.1 DR3173 Yzheng4 Yzheng1 Wjeong セイ ショウ ただ.しい ただ.す まさ まさ.に T1 おお くに ま まさし ただし {correct} {justice} {righteous} {10**40} 
夕 4D3C U5915 B36 G1 S3 F924 J3 N1167 V1123 H3387 DP4195 DK2123 DL2871 L109 DN114 K627 O33 DO734 MN5749 MP3.0317 E44 IN81 DS98 DF149 DH54 DT20 DJ95 DB2.10 DG403 DM109 P4-3-1 I0a3.14 Q2720.0 DR2560 ZPP4-3-4 Yxi1 Yxi4 Wseog Wsa セキ ゆう T1 ゆ {evening} 
文 4A38 U6587 B67 G1 S4 F190 J3 N2064 V2364 H1962 DP2458 DK1242 DL1708 L1725 DN1861 K136 O86 DO71 MN13450 MP5.0560 E68 IN111 DS134 DF180 DH77 DT35 DC89 DJ320 DB3.19 DG949 DM1741 P2-2-2 I2j2.4 Q0040.0 DR466 Ywen2 Ywen4 Wmun ブン モン ふみ あや T1 かざり ふ も T2 ぶんにょう {sentence} {literature} {style} {art} {decoration} {figures} {plan} {literary radical (no. 67)} 
音 323B U97f3 B180 G1 S9 F491 J3 N5110 V6607 H2070 DP2570 DK1312 DL1783 L479 DN518 K402 O962 DO206 MN43265 MP12.0219 E6 IN347 DS50 DF274 DH33 DT78 DJ620 DB3.18 DG1879 DM490 P2-2-7 I5b4.3 Q0060.1 DR478 ZPP2-5-4 Yyin1 Weum オン イン -ノン おと ね T1 お と {sound} {noise} 
王 3226 U738b B96 G1 S4 F684 J2 N2922 V3619 H3439 DP4247 DK2145 DL2895 L255 DN271 K499 O90 DO310 MN20823 MP7.0818 E5 IN294 DS49 DF733 DH47 DT26 DJ577 DG1315 DM261 P4-4-1 I4f0.1 Q1010.4 DR3172 Ywang2 Ywang4 Wwang オウ -ノウ T1 おお おおきみ わ {king} {rule} {magnate} 
耳 3C2A U8033 B128 G1 S6 F1328 J4 N3697 V4715 H3516 DP4329 DK2190 DL2948 L818 DN881 K1323 O331 DO107 MN28999 MP9.0183 E29 IN56 DS26 DF79 DH32 DT61 DJ169 DG1582 DM826 P4-6-1 I6e0.1 Q1040.0 Q1012.0 DR3255 Yer3 Wi ジ みみ T1 がみ {ear} 
花 3256 U82b1 B140 G1 S7 XJ15747 F578 J4 N3909 V4980 H2211 DP2740 DK1405 DL1894 L1009 DN1084 K551 O481 DO328 MN30734P MP9.0537 E9 IN255 DS43 DF81 DH70 DT69 DJ314 DB2.18 DG641 DM1018 P2-3-4 I3k4.7 Q4421.4 DR1956 Yhua1 Whwa カ ケ はな T1 わ {flower} 
貝 332D U8c9d B154 G1 S7 XJ15A70 F1787 J2 N4486 V5766 H2543 DP3150 DK1614 DL2200 L54 DN56 K1590 O498 DO44 MN36656 MP10.0694 E90 IN240 DS169 DF917 DH49 DT70 DJ719 DG1720 DM54 P2-5-2 I7b0.1 Q6080.0 DR3961 Ybei4 Wpae バイ かい {shellfish} 
空 3675 U7a7a B116 G1 S8 F304 J4 N3317 V4192 H2227 DP2767 DK1418 DL1913 L1317 DN1414 K233 O723 DO184 MN25415 MP8.0643 E15 IN140 DS65 DF77 DH66 DT73 DC304 DJ461 DB2.17 DG1452 DM1327 P2-3-5 I3m5.12 Q3010.1 DR772 ZPP2-5-3 Ykong1 Ykong4 Wgong クウ そら あ.く あ.き あ.ける から す.く す.かす むな.しい T1 うつ き く {empty} {sky} {void} {vacant} {vacuum} 
玉 364C U7389 B96 G1 S5 F737 J2 N2923 V3620 H3477 DP4289 DK2166 DL2919 L256 DN272 K610 O204 DO103 MN20821 MP7.0780 E102 IN295 DS64 DF732 DH48 DT40 DJ575 DG1313 DM262 P4-5-1 I4f0.2 Q1010.3 DR3172 Yyu4 Wog ギョク たま たま- -だま T1 おう だん {jewel} {ball} 
犬 3824 U72ac B94 G1 S4 F1326 J3 N2868 V3553 H3464 DP4275 DK2160 DL2912 L238 DN253 K1295 O107 DO578 MN20234 MP7.0667 E17 IN280 DS66 DF216 DH73 DT29 DJ319 DB2.17 DG1295 DM243 P4-4-4 I3g0.1 Q4303.0 DR1463 Yquan3 Yquan2 Wgyeon ケン いぬ いぬ- {dog} 
目 4C5C U76ee B109 G1 S5 F76 J4 N3127 V3906 H3043 DP3777 DK1927 DL2619 L15 DN15 K65 O191 DO22 MN23105 MP8.0153 E72 IN55 DS25 DF75 DH30 DT48 DC91 DJ168 DB3.11 DG1376 DM15 P3-3-2 I5c0.1 Q6010.1 DR3979 ZPP4-5-1 Ymu4 Wmog モク ボク め -め ま- T1 さかん さがん さっか さつか {eye} {class} {look} {insight} {experience} {care} {favor} 
足 422D U8db3 B157 G1 S7 F343 J4 N4546 V5856 H2188 DP2714 DK1386 DL1873 L1279 DN1372 K305 O461 DO135 MN37365 MP10.0896 E51 IN58 DS29 DF90 DH36 DT67 DC338 DJ171 DB2.6 DG1759 DM1287 P2-3-4 I7d0.1 Q6080.1 DR3770 Yzu2 Yju4 Wjog Wju ソク あし た.りる た.る た.す T1 あ あす おす たらし {leg} {foot} {be sufficient} {counter for pairs of footwear} 
森 3F39 U68ee B75 G1 S12 F609 J3 N2301 V2749 H2475 DP3123 DK1602 DL2184 L197 DN209 K532 O1735 DO152 MN14974 MP3.0600 E38 IN128 DS41 DF198 DH65 DT80 DJ460 DG1063 DM201 P2-4-8 I4a8.39 Q4099.4 DR1864 Ysen1 Wsam シン もり T1 もと {forest} {woods} 
糸 3B65 U7cf8 B120 G1 S6 XJ0652F F1488 J2 N3492 V4431 H2179 DP2703 DK1379 DL1866 L1333 DN1431 K699 O720 DO113 MN27221 MP8.0932 E27 IN242 DS83 DF807 DH75 DT58 DJ409 DG1503 DM1345 P2-3-3 I6a0.1 Q2290.3 Q2090.3 DR2741 ZPP4-6-4 Ymi4 Wsa シ いと {thread} 
力 4E4F U529b B19 G1 S2 F62 J3 N715 V521 H3371 DP4178 DK2114 DL2860 L858 DN922 K69 O11 DO53 MN2288 MP2.0360 E74 IN100 DS148 DF128 DH38 DT9 DC38 DJ173 DB3.15 DG207 DM866 P4-2-4 I2g0.1 Q4002.7 DR1645 Yli4 Wryeog リョク リキ リイ ちから T1 じから つとむ {power} {strength} {strong} {strain} {bear up} {exert} 
</pre>
</div>

<p>
As you can probably see, kanjidic attempts to be verbose and practically unreadable for most users, but if you look at a few properties, you can benefit quite a lot. The first column is of course the kanji. The columns that are wrapped in {} are the English translations. The katakana are the most common interpretations of the kanji (how to speak the kanji when you see it written or wish to use it to create a word). The hiragana are less common interpretations that deserve learning sometime. The fact that they use katakana means that you can't do a traditional search using hiragana IME, but you can switch your IME to use katakana easily enough. The column that starts with G is the Japanese Ministry of Education grade which means the order of teaching in Japan. The column that starts with S tells you how many strokes are in the kanji which is helpful if you see a kanji but you don't know what it is, you can count the strokes (if you know how) and search by strokes. The column that starts with B is the Bushuu radical number which tells you which radical (commonly used part) is used in this kanji. For example, 

```bash
grep B39 kanjidic1.txt |cut -d ' ' -f 1
学
子
鏡
孫
存
孤
孔
帽
珊
孜
孟
```

This code gives us a few kanji that have the child radical 子. Of course, not all kanji with the child radical show up, which makes this field mostly useless.
</p>

<p>
If you wish to download the KANJIDIC yourself, which I used to produce my study tools, do so from the <a href="http://ftp.monash.edu.au/pub/nihongo/kanjidic.gz">original source</a>. Unfortunately, this file uses EUC-JP encoding from earlier years, you can convert it easily to utf-8 (which everyone should be using, especially you) using this command:
```bash
zcat kanjidic.gz |iconv -f eucjp -t utf-8 >kanjidic1.txt
```
</p>

<p>
Of course, most people can just save the file, ungzip it with a graphical editor, open it with a text editor, and save with utf-8 encoding, but the command line is more likely to work correctly and uniformly.
</p>

<div>
The kanji in a pretty vector image format:
<img src="learn_to_write2p.svg" />
</div>

<p>
The last and probably least useful is the image format. Open this with Inkscape or the vector graphics viewer/editor of your choice and zoom in as large as you can. If these kanji aren't *very* clear at that point, you need a good Japanese font. There are quite a few Japanese fonts that are very well done. I use <a href="https://fedoraproject.org/wiki/IPA_Mincho_fonts">IPA Mincho</a> on this image, but I often use <a href="http://efont.sourceforge.jp/">Sazanami</a> and <a href="https://www.google.com/get/noto/">Noto</a>.
</p>

## Process

Now that you have the data, you can see the process of how I learned to write these kanji in 9 days. Before we go into the steps, I recommend that you have an IME setup correctly on your computer, a preferred online dictionary, and Kiten (for its radical select tool and kanji browser, not its dictionary). If you don't have these setup correctly, you may spend some time fighting with searching and so on. If you're using Linux, I recommend uim as an IME even though it has several faults. I wrote my own Japanese online dictionary but as many things are, it is not accessible to the outside world until I can spend time on it.

The first step is to write them down in order on a piece of paper (or with a drawing tablet if you prefer). By having them in order, you'll speed up your random access memory (it will essentially become your <a href="https://en.wikipedia.org/wiki/Method_of_loci">"Mind palace"</a> to search for kanji you have only seen once or twice before). Next to each kanji, write as small as you can read the most common furigana (hiragana for the kanji). Don't write down the English translation or romanji, you should not need either of these since reading is much easier than writing. You should be divorcing yourself from romanji as soon as possible since Japan will not provide you with romanji except for on your keyboard. Having the furigana will save you a lot of time looking up the kanji in case you forget the kanji's meaning (which will definitely happen). Having them in order also means that if you forget the meaning of one but not the one next to it, you can scroll down your list for the one you easily recognize and look next to it so then you can look it up in KANJIDIC or an online dictionary. As you write the kanji, say the most common usage aloud. You'll be testing yourself, so make sure you aren't learning the wrong usage. Also read the English translations so you understand what it is the kanji is trying to communicate. If you're unable to draw a kanji correctly, look on the internet for a super high resolution drawing of the kanji with strokes labeled. They exist so don't settle for "I just can't draw this one" (Kiten's dictionary has them). Here's what it would look like if I wrote it right now with my drawing tablet*:
</p>
<div>
<img src="write1.png" alt="kanji writing step 1" />
</div>

<p>
\* My original is rather messy, so I'm not going to post it. You can just guess how awful it looks after 9 days.
</p>

<p>
The next step is to start learning to write. It is my strong belief that writing produces memories faster than reading, no matter how silly it seems, learn to write. This is the method I used to learn to write:
</p>

```bash
# order_kanjidic1e1.txt is my list of English words
python3 randomize2.py 1 <order_kanjidic1e1.txt |head
```

This gives me 10 random words from the English list. If I succeeded in remembering the kanji, I would draw it into box 1. If I didn't remember, I would draw it into box 2. Since it doesn't matter if I screw up, I go as fast as possible not worrying if I'm "cheating" by writing a kanji incorrectly, scribbling it out and writing the correct one after looking back at my list. That's really what this is about: draw, make sure you got it right, move on. Each time I write a kanji, I would speak the most common usage. When I finished 10, I would increment the number given to randomize2.py which means that I get a reproducible random list of words. If I saw a word I had already done correctly that day, I wouldn't rewrite it. If I hadn't written the kanji correctly, I would attempt to write it since it should be fresh in my mind from the previous failure less than an hour earlier. If your plan is to memorize 163 kanji in 9 days, you will have to do at least 21 unique kanji per day (not 21 kanji per day because random results will repeat, thus 50 is closer to the correct amount). In order to make sure I had plenty of room for error, I did about 50 per day and only skipped one day.

The next step should be pretty obvious, I watched anime paying close attention to those words I learned. I also played a few Japanese visual novels (<a href="http://store.steampowered.com/app/269250/">World End Economica</a>, Narcissu (bilingual and free on <a href="http://store.steampowered.com/app/264380/">Steam</a>, and a handful of demos) and read a few manga (Shonen Jump and Shojo Comics are good examples because they have furigana) in my free time. These are often punishing to read as a beginner because you only get the pictures and whatever your basic understanding gives you. However, if you focus on the kanji you know and the hiragana, you can often get enough reward to keep your brain learning the more common kanji. Remember that there are two widely accepted ways to motivate learning: carrot and stick. If the carrot suits you more, find a rewarding activity that teaches you and forget the failures. If the stick suits you more (not judging), find one that ignores your successes and punishes you for failures. Manga and visual novels fall into both categories.

The final step to learning the kanji is the final test. Once you only have one or two troublesome kanji, wait for at least 8 hours to pass since your last study session (to make sure your knowledge is permanent and not the result of cramming). Then create your test as below, writing each kanji down. If you can't recall a kanji, make note of the English word so that you can learn the kanji after the test is done. Make sure you don't have any resources available to yourself during the test, this is not an open book test.

```bash
# First 50 of the test
python3 randomize2.py 101 <order_kanjidic1e1.txt |head -n 50

# Second 50 of the test, overlapping one
python3 randomize2.py 101 <order_kanjidic1e1.txt |head -n 100 |tail -n 51

# Third 50 of the test, overlapping one
python3 randomize2.py 101 <order_kanjidic1e1.txt |head -n 150 |tail -n 51

# Last 13 of the test, overlapping one
python3 randomize2.py 101 <order_kanjidic1e1.txt |head -n 200 |tail -n 15
```

When you're finished, grade yourself and find the ones you failed on. For me, the ones I failed on are:
<pre>
晩 night
漢 China
校 school
強 strong
村 village
書 write
家 house
</pre>

So now on to the next list. I will start learning the next set of 371 kanji tomorrow.

## Conclusion

This list is obviously flawed in many ways lacking very important kanji, but as I said in the introduction, it's more important to learn kanji than to learn them in the order of common use. Two things that are critical to increasing your confidence (if not your skill) is to increase your font size until you can see the lines very clearly (until such time as you can understand just from seeing it in 12pt), and remember that the hardest kanji are actually made up of a handful of radicals. You can learn the radicals, then you can draw five of them and then you're done with the most difficult kanji. 電 is a good example. While it looks horrible, it really only has these sections:

<img src="den1.svg" />

One of the obvious things that helped me learn kanji this quickly is my years of interacting with kanji without knowing its meaning. By interacting with kanji in meaningful ways, you'll improve your ability to understand it when you finally put yourself in the position to actually learn. Things I've done over the years:

* Translate manga that has furigana by looking up the furigana in an online dictionary
* Translate manga that doesn't have furigana using kanji attack method\*
* Translate manga that doesn't have furigana using radical select
* Translate visual novels that don't have furigana using kanji attack method\*
* Translate visual novels by hacking their text and copying kanji into an online dictionary
* Translate webpages by copying their kanji and text into an online dictionary
* Parse Japanese spam to learn popular kanji in order of use
* Parse Japanese tweets to learn popular kanji in order of use
* Watch 100s of hours of subtitled anime
* Read manga in Japanese and English, side by side
* Read manga with furigana without translating to get interpretations

\* The kanji attack method is a method I created in 2007 to display all kanji in a single page ordered by popularity. This is very slow and is perhaps the worst method of translation that exists, just learn to read kanji, then go back or use the radical search method.

To end this, I suppose I should say something about the Japanese language in Japanese.

日本語で、勉強になりましょう！

<p>
<a name="license"></a>
This site    uses the 
<a href="http://www.csse.monash.edu.au/~jwb/kanjidic.html">KANJIDIC</a> dictionary files.
These files are the property of the 
<a href="http://www.edrdg.org/"> Electronic Dictionary 
Research and Development Group</a>, and are used in
conformance with the Group's 
<a href="http://www.edrdg.org/edrdg/licence.html">licence</a>.
</p>
